<!--ZOOM DE LA PAGE BLOQUÉ (SAUF POUR LA CARTE)-->
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">


<?php
////	CHARGE LA LIBRAIRIE GOOGLE MAP  ||  LIBRAIRIE LEAFLET/OPENSTRETMAP
if(Ctrl::$agora->mapTool=="gmap"){
	//"mapApiKey" à récupérer sur "https://developers.google.com/maps/documentation/javascript/?hl=fr".  "sensor=false" : pas de positionnement de l'user (incompatible avec le mapApiKey)
	echo '<script src="https://maps.googleapis.com/maps/api/js?sensor=false'.(!empty(Ctrl::$agora->mapApiKey)?'&key='.Ctrl::$agora->mapApiKey:null).'"></script>';
}else{
	echo '<link rel="stylesheet" href="https://unpkg.com/leaflet@1.3.1/dist/leaflet.css" integrity="sha512-Rksm5RenBEKSKFjgI3a41vrjkw4EVPlJ3+OiI65vTjIdo9brlAacEuKOiQ5OFh7cOI1bkDwLqdLw3Zg0cRJAAQ==" crossorigin=""/>
		  <script src="https://unpkg.com/leaflet@1.3.1/dist/leaflet.js" integrity="sha512-/Nsx9X4HebavoBvEBuyp3I7od5tA0UzAxs+j83KgC8PU0kgB4XiK4Lfe4y4cgBtaRJQEIFCW+oC506aPT2L1zw==" crossorigin=""></script>';
}
?>

<!--CONTENEUR DE LA CARTE-->
<div id="mapid"></div>


<script>
////	INIT LA CARTE ET MARQUE LES ADRESSES
$(function(){
	////	REDIMENSIONNE LE FANCYBOX
	$("#mapid").css("width",parent.$(window).width()+"px").css("height",parent.$(window).height()+"px");
	parent.$.fancybox.getInstance().update();

	////	INSTANCIE LA CARTE GOOGLE MAP || LEAFLET
	<?php if(Ctrl::$agora->mapTool=="gmap"){ ?>
	map		=new google.maps.Map(document.getElementById("mapid"), {zoom:8, mapTypeId:google.maps.MapTypeId.ROADMAP});//Init la carte
	geocoder=new google.maps.Geocoder();//Init le géocodeur
	bounds	=new google.maps.LatLngBounds();//bornes la carte (latitude/longitude)
	<?php }else{ ?>
    myMap=L.map("mapid").setView([45.7531152, 4.827906], 15);//Init la carte (par défaut sur Londres)
	var layerUrl="https://api.tiles.mapbox.com/v4/{id}/{z}/{x}/{y}.png?access_token=pk.eyJ1IjoibWFwYm94IiwiYSI6ImNpejY4NXVycTA2emYycXBndHRqcmZ3N3gifQ.rJcFIG214AriISLbB6B5aw";//Layer "mapbox"
  //var layerUrl="http://{s}.tile.osm.org/{z}/{x}/{y}.png";//Layer "OpenStreetMap" (carte/tuile)
	var layerId='mapbox.streets';//Layer "mapbox" => 'mapbox.streets' affiche les noms de rue OU 'mapbox.satellite' la vue satellite
    L.tileLayer(layerUrl, {id:layerId, attribution:'Map data © OpenStreetMap'}).addTo(myMap);//"tile" = carte/tuile
	<?php } ?>
	
	////	Géocode et marque chaque adresse (dans une fonction annexe, pour que la géolocalisation se fasse indépendamment)
	adressList=<?= $adressList ?>;//format json
	jQuery.each(adressList, function(tmpKey, tmpAdress){
		geocodeMarkAddress(tmpAdress, tmpKey);
	});
});


////	GÉOCODEUR GOOGLE MAP
<?php if(Ctrl::$agora->mapTool=="gmap"){ ?>
function geocodeMarkAddress(tmpAdress, tmpKey)
{
	//Lance la géolocalisation à partir de l'adresse
	geocoder.geocode({"address":tmpAdress.adress}, function(results,status){
		//Géolocalisation OK
		if(status==google.maps.GeocoderStatus.OK)
		{
			// Récupère la latitude et longitude
			tmpAdress.lat=results[0].geometry.location.lat();
			tmpAdress.lng=results[0].geometry.location.lng();
			// Ajoute le marker avec l'image de la personne (url + position de la photo par rapport au point du marker = centre/bottom + dimension de la photo)
			tmpAdress.personImg=new google.maps.MarkerImage(tmpAdress.personImg, null, null, new google.maps.Point(19,38), new google.maps.Size(38,38));
			tmpAdress.marker=new google.maps.Marker({map:map, title:tmpAdress.personLabel, position:results[0].geometry.location, icon:tmpAdress.personImg});
			// Infobulle du marqueur
			tmpAdress.tooltipHtml=tmpAdress.personLabel+"<div id='streetView"+tmpKey+"' style='width:400px;height:300px;'>Street View loading ...</div>";
			tmpAdress.tooltip=new google.maps.InfoWindow( {content:tmpAdress.tooltipHtml} );
			google.maps.event.addListener(tmpAdress.marker, "click", function(){
				tmpAdress.tooltip.open(map, tmpAdress.marker);
				//Appel de StreetView une fois l'infobulle chargee
				setTimeout(function(){
					StreetView=new google.maps.StreetViewPanorama(document.getElementById("streetView"+tmpKey));
					StreetView.setPosition(new google.maps.LatLng(tmpAdress.lat,tmpAdress.lng));
				},200);
			});
			// Ajuste le Zoom de la carte en fonction des markers (personnes)
			bounds.extend(new google.maps.LatLng(tmpAdress.lat,tmpAdress.lng));
			map.fitBounds(bounds);
			//Dézoom si besoin (>15)
			var listener=google.maps.event.addListener(map, "idle", function(){
				if(map.getZoom()>15)  {map.setZoom(15);}
				google.maps.event.removeListener(listener); 
			});
		}
	});
}
<?php } ?>


////	GÉOCODEUR LEAFLET
<?php if(Ctrl::$agora->mapTool=="leaflet"){ ?>
function geocodeMarkAddress(tmpAdress, tmpKey)
{
	//Lance la géolocalisation : renvoi les résultats au format json
	$.getJSON("http://nominatim.openstreetmap.org/search?format=json&q="+encodeURIComponent(tmpAdress.adress),function(data){
		//S'il y a des résultats
		if(data.length>0)
		{
			//Ajoute la position && incrémente la liste des positions
			var latlonTmp=L.latLng(data[0].lat, data[0].lon);
			if(typeof markersList=="undefined")  {markersList=[];}
			markersList.push(latlonTmp);
			//Ajoute le marqueur avec éventuellement l'icone de l'user/contact
			var markerIcon=L.icon({ iconUrl:tmpAdress.personImg, iconSize:[38,38] });
			L.marker(latlonTmp,{icon:markerIcon}).bindPopup(tmpAdress.personLabel).addTo(myMap);
			//Recentre la carte sur le/les marqueurs déjà enregistrés
			var bounds=new L.LatLngBounds(markersList);
			myMap.fitBounds(bounds);
			////notify(tmpAdress.adress+" => "+data[0].display_name+" => "+data[0].lat+" => "+data[0].lon);//debug
	   }
	});
}
<?php } ?>
</script>